From: Boyuan Yang <byang@debian.org>
Date: Mon, 17 Jun 2024 12:26:13 -0400
Subject: tests/compat/py39.py: Drop py39compat to avoid jaraco.test

We directly use *_helper from python test.support library. This drops
compatibility with Python 3.9 or earlier, but avoids the usage of
jaraco.test library which is not packaged yet.

Patch taken from Debian package:
python-importlib-metadata/7.1.0-1:debian/patches/0001.. patch.
---
 importlib_resources/tests/compat/py39.py | 26 +++++++++++++++++---------
 1 file changed, 17 insertions(+), 9 deletions(-)

diff --git a/importlib_resources/tests/compat/py39.py b/importlib_resources/tests/compat/py39.py
index e01d276..06f434a 100644
--- a/importlib_resources/tests/compat/py39.py
+++ b/importlib_resources/tests/compat/py39.py
@@ -2,12 +2,20 @@
 Backward-compatability shims to support Python 3.9 and earlier.
 """
 
-from jaraco.test.cpython import from_test_support, try_import
-
-import_helper = try_import('import_helper') or from_test_support(
-    'modules_setup', 'modules_cleanup', 'DirsOnSysPath'
-)
-os_helper = try_import('os_helper') or from_test_support('temp_dir')
-warnings_helper = try_import('warnings_helper') or from_test_support(
-    'ignore_warnings', 'check_warnings'
-)
+# Debian-specific: Drop compatibility with python 3.9 or earlier
+# Do not use jaraco.test, not packaged
+
+#from jaraco.test.cpython import from_test_support, try_import
+
+#import_helper = try_import('import_helper') or from_test_support(
+#    'modules_setup', 'modules_cleanup', 'DirsOnSysPath'
+#)
+#os_helper = try_import('os_helper') or from_test_support('temp_dir')
+#warnings_helper = try_import('warnings_helper') or from_test_support(
+#    'ignore_warnings', 'check_warnings'
+#)
+
+# Debian-specific: Use Python standard library
+from test.support import os_helper
+from test.support import import_helper
+from test.support import warnings_helper
